$( document ).ready(function() {
  const block = $('.page_ssl');
  const filters = block.find('.ssl_filters');

  filters.on('change', 'input', filter_items);
  filters.on('click', '.f_title', function(e) {
    $(this).parent().toggleClass('is-active');
  });

  block.on('click', function(e) {
    if (!$(e.target).closest('.filter_select').length) {
      filters.children('.filter_select.is-active').removeClass('is-active');
    }
  });

  if (filters.find('input:checked').length) {
    filter_items();
  }
});  

function filter_items() {
  const block = $('.page_ssl');
  const filters = block.find('.ssl_filters');
  const items = block.find('.ssl_items_table .item');
  const method_count = filters.find('.is-method .count');
  const methods = filters.find('input[name="method"]');
  const type_count = filters.find('.is-type .count');
  const types = filters.find('input[name="type"]');
  const companies = filters.find('input[name="company"]');
  const company_count = filters.find('.is-company .count');
  const available = filters.find('input[name="available"]');
  let methods_checked = [];
  methods.filter(':checked').each(function() {
    methods_checked.push($(this).val());
  });
  if (methods_checked.length) {
    method_count.text(methods_checked.length);
  } else {
    method_count.text('');
  }
  let types_checked = [];
  types.filter(':checked').each(function() {
    types_checked.push($(this).val());
  });
  if (types_checked.length) {
    type_count.text(types_checked.length);
  } else {
    type_count.text('');
  }
  let companies_checked = [];
  companies.filter(':checked').each(function() {
    companies_checked.push($(this).val());
  });
  if (companies_checked.length) {
    company_count.text(companies_checked.length);
  } else {
    company_count.text('');
  }
  const available_checked = (available.is(':checked') ? true : false);

  $.each(items, function() {
    const $this = $(this);
    if (available_checked && $this.attr('data-available') !== 'ru') {
      $this.addClass('hidden');
      return true;
    }
    if (methods_checked.length && methods_checked.indexOf($this.attr('data-method')) == -1) {
      $this.addClass('hidden');
      return true;
    }
    if (types_checked.length && types_checked.indexOf($this.attr('data-type')) == -1) {
      $this.addClass('hidden');
      return true;
    }
    if (companies_checked.length && companies_checked.indexOf($this.attr('data-company')) == -1) {
      $this.addClass('hidden');
      return true;
    }
    $this.removeClass('hidden');
  });
}
