/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    'index.php',
    'css/ssl-block.css'
  ],
  theme: {
    extend: {
      colors: {
        'grey-bg': '#EEF1F5',
        'drkr-grey': '#DFE1E4',
        'lavender': '#DCDBF6',
        'purple': '#8884F5',
        'alm-black': '#252525',
        'green': '#6B9677',
        'light-green': '#BEFDD0',
        'drk-purple': '#4D5B81',
        'light-purple': '#A9CBFE',
        'drk-violet': '#956B96',
        'baby-pink': '#FFC6E4',
        'violet': '#4B44FF',
        'pastel-violet': '#DFDEFF',
        'red': '#FF0000',

      },
      padding: {
        '20px': '20px',
      },
      lineHeight: {
        'h1': '62px',
        'prgrf': '22px',
        'large-p': '38px',
        'large-link': '26px',
        'price': '43px',
        'subtitle': '34px',
        'list': '24px',
        'mobile-p':'19px',
        'name-m': '29px',
      },
      maxWidth: {
        'container': '1400px',
        '300': '300px',
        '820':'820px',
      },
      backgroundImage: {
        'ssl': "url('../images/ssl-bg.png')",
        'mute-face': "url('../images/face-silence.svg')",
        'lock': "url('../images/lock.svg')",
        'arr-link': "url('../images/arrow-link.svg')",
        'smile': "url('../images/smile.svg')",
        'search': "url('../images/search.svg')",
        'alpha': "url('../images/alpha.svg')",
        'organisation': "url('../images/organizationSSL.svg')",
        'buy-link': "url('../images/buy-link.svg')",
        'accordion-toggle': "url('../images/accordion-toggle.svg')",
        'arr-violet': "url('../images/arr-violet.svg')",
      },
      gridTemplateColumns: {
        'stretch' :'auto auto',
        'stretch-3' :'auto auto auto',
      }
    },
    fontSize: {
      logo: '27px',
      'header-links': '16px', 
      'large-link': '22px',
      'h1': '52px',
      'prgrf': '18px',
      'list': '20px',
      'subtitle': '28px',
      'large-p': '32px',
      'price': '36px',
      'name-m': '24px',
    },
    backgroundSize: {
      'sslicon': '54px 54px',
      'sslicon-m': '42px 42px',
      'small-icon': '30px 30px',
      'auto': 'auto',
      'cover': 'cover',
      'contain': 'contain',
      'toggle': '17px 17px',
      'mobile-toggle': '12px 12px',
      'violet-toggle': '20px 10px',
    }
  },
  plugins: [],
}
